bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#8217: 23.3; Runtime segmentation fault when compiled with -O2 on GNU


From: Eli Zaretskii
Subject: bug#8217: 23.3; Runtime segmentation fault when compiled with -O2 on GNU/Linux
Date: Thu, 10 Mar 2011 06:48:24 -0500

> Date: Thu, 10 Mar 2011 09:34:46 +0100
> From: Ulrich Mueller <address@hidden>
> Cc: 
> 
> Forwarding downstream bug: <https://bugs.gentoo.org/show_bug.cgi?id=358177>
> 
> Emacs 23.3 compiled with -O2 on x86_64-pc-linux-gnu immediately fails
> with a segmentation fault at runtime. This is with GCC 4.5.2 (but it
> also fails when compiled with GCC 4.4.5 or 4.3.5).
> 
>    $ emacs -Q
>    Fatal error (11)Segmentation fault

FWIW, I cannot reproduce this on this system:

  Linux fencepost 2.6.32-313-ec2 #26-Ubuntu SMP Fri Feb 11 22:34:31 UTC 2011 
x86_64 GNU/Linux

with this version of GCC:

  gcc (Ubuntu 4.4.3-4ubuntu5) 4.4.3

and configured slightly differently, as follows:

  x86_64-unknown-linux-gnu --with-gif=no --with-tiff=no

with GTK+ Version 2.20.1 as the toolkit.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]